# $Revision: 1.107 $, $Date: 2010/07/19 08:25:06 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	tests		# don't perform "make check"

Summary:	Perl-Compatible Regular Expression library
Summary(pl.UTF-8):	Biblioteka perlowych wyrażeń regularnych
Summary(pt_BR.UTF-8):	Biblioteca de expressões regulares versão
Name:		pcre
Version:	8.10
Release:	1
License:	BSD (see LICENCE)
Group:		Libraries
Source0:	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2
# Source0-md5:	780867a700e9d4e4b9cb47aa5453e4b2
Patch0:		%{name}-pcreposix-glibc-conflict.patch
URL:		http://www.pcre.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
Obsoletes:	libpcre0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
Perl's. It also contains a POSIX compatibility library.

%description -l es.UTF-8
A biblioteca PCRE é um set de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um set de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%description -l pl.UTF-8
PCRE (Perl-Compatible Regular Expression) oznacza bibliotekę wyrażeń
regularnych kompatybilnych z perlowymi. Zawiera funkcje dopasowujące
tekst do wyrażeń regularnych podobnych do tych znanych z Perla.
Zawiera także bibliotekę kompatybilną z POSIX.

%description -l pt_BR.UTF-8
A biblioteca PCRE é um conjunto de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um conjuntos de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%package devel
Summary:	Perl-Compatible Regular Expression header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do bibliotek pcre
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento com pcre
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libpcre0-devel

%description devel
Perl-Compatible Regular Expression header files and development
documentation.

%description devel -l es.UTF-8
A biblioteca PCRE é um set de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um set de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do bibliotek pcre.

%description devel -l pt_BR.UTF-8
A biblioteca PCRE é um conjunto de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um conjunto de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%package static
Summary:	Perl-Compatible Regular Expression static libraries
Summary(pl.UTF-8):	Biblioteki statyczne pcre
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento estático com pcre
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Perl-Compatible Regular Expression library static libraries.

%description static -l es.UTF-8
A biblioteca PCRE é um set de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um set de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%description static -l pl.UTF-8
Biblioteki statyczne pcre.

%description static -l pt_BR.UTF-8
A biblioteca PCRE é um conjunto de funções que implementam expressões
regulares utilizando-se da mesma sintaxe e semântica do perl 5. Possui
sua própria API nativa, bem como um conjunto de funções wrapper para
corresponder ao padrão POSIX de expressões regulares.

%package cxx
Summary:	C++ wrapper to PCRE library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki PCRE
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cxx
C++ wrapper to PCRE library.

%description cxx -l pl.UTF-8
Interfejs C++ do biblioteki PCRE.

%package cxx-devel
Summary:	Header file for C++ wrapper to PCRE library
Summary(pl.UTF-8):	Plik nagłówkowy interfejsu C++ do biblioteki PCRE
Group:		Development/Libraries
Requires:	%{name}-cxx = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description cxx-devel
Header file for C++ wrapper to PCRE library.

%description cxx-devel -l pl.UTF-8
Plik nagłówkowy interfejsu C++ do biblioteki PCRE.

%package cxx-static
Summary:	Static version of pcrecpp library
Summary(pl.UTF-8):	Statyczna wersja biblioteki pcrecpp
Group:		Development/Libraries
Requires:	%{name}-cxx-devel = %{version}-%{release}

%description cxx-static
Static version of pcrecpp library.

%description cxx-static -l pl.UTF-8
Statyczna wersja biblioteki pcrecpp.

%package -n pcregrep
Summary:	Grep using Perl Compatible Regular Expressions
Summary(pl.UTF-8):	Grep używający perlowych wyrażeń regularnych
Group:		Applications/Text
Obsoletes:	pgrep

%description -n pcregrep
pgrep is a grep workalike which uses perl-style regular expressions
instead of POSIX regular expressions.

%description -n pcregrep -l pl.UTF-8
pgrep jest programem działającym podobnie do grepa, ale używających
perlowych wyrażeń regularnych, a nie posiksowych.

%package -n pcretest
Summary:	A program for testing Perl-comaptible regular expressions
Summary(pl.UTF-8):	Program do testowania kompatybilnych z perlem wyrażeń regualarnych
Group:		Applications/Text

%description -n pcretest
pcretest is a program which you can use to test regular expression

%description -n pcretest -l pl.UTF-8
pcretest jest programem za pomocą można sprawdzić poprawność wyrażenia
regularnego

%package doc-html
Summary:	Documentation for PCRE in HTML format
Summary(pl.UTF-8):	Dokumentacja dla PCRE w formacie HTML
Group:		Applications/Text

%description doc-html
Documentation for PCRE in HTML format.

%description doc-html -l pl.UTF-8
Dokumentacja dla PCRE w formacie HTML.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CXXLDFLAGS="%{rpmldflags}" \
	%{!?with_static_libs:--disable-static} \
	--enable-utf8 \
	--enable-unicode-properties \
	--enable-pcregrep-libz \
	--enable-pcregrep-libbz2 \
	--enable-pcretest-libreadline

%{__make}

%if %{with tests}
# tests need big stack
ulimit -s 32768
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libpcre.so.* $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libpcreposix.so.* $RPM_BUILD_ROOT/%{_lib}

ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libpcre.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpcre.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libpcreposix.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpcreposix.so

cp -a pcredemo.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf $RPM_BUILD_ROOT%{_docdir}/pcre

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   cxx -p /sbin/ldconfig
%postun cxx -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS LICENCE ChangeLog
%attr(755,root,root) /%{_lib}/libpcre.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpcre.so.0
%attr(755,root,root) /%{_lib}/libpcreposix.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpcreposix.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcre-config
%attr(755,root,root) %{_libdir}/libpcre.so
%attr(755,root,root) %{_libdir}/libpcreposix.so
%{_libdir}/libpcre.la
%{_libdir}/libpcreposix.la
%{_includedir}/pcre.h
%{_includedir}/pcreposix.h
%{_pkgconfigdir}/libpcre.pc
%{_pkgconfigdir}/libpcreposix.pc
%{_mandir}/man1/pcre-config.1*
%{_mandir}/man3/pcre*.3*
%exclude %{_mandir}/man3/pcrecpp.3*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpcre.a
%{_libdir}/libpcreposix.a
%endif

%files cxx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcrecpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpcrecpp.so.0

%files cxx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcrecpp.so
%{_libdir}/libpcrecpp.la
%{_includedir}/pcrecpp.h
%{_includedir}/pcre_scanner.h
%{_includedir}/pcre_stringpiece.h
%{_includedir}/pcrecpparg.h
%{_pkgconfigdir}/libpcrecpp.pc
%{_mandir}/man3/pcrecpp.3*

%if %{with static_libs}
%files cxx-static
%defattr(644,root,root,755)
%{_libdir}/libpcrecpp.a
%endif

%files -n pcregrep
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcregrep
%{_mandir}/man1/pcregrep.1*

%files -n pcretest
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcretest
%{_mandir}/man1/pcretest.1*

%files doc-html
%defattr(644,root,root,755)
%doc doc/html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcre.spec,v $
Revision 1.107  2010/07/19 08:25:06  glen
- up to 8.10

Revision 1.106  2010/05/25 11:44:29  glen
- release 2

Revision 1.105  2010/05/07 19:25:07  qboosh
- updated to 8.02 (fixes compile workspace overflow and other bugs)

Revision 1.104  2010/01/25 20:54:22  megabajt
- updated to 8.01

Revision 1.103  2009/10/27 23:00:52  qboosh
- package libpcreposix.pc
- removed obsolete link patch

Revision 1.102  2009/10/27 22:06:36  adamg
- updated to 8.00; -link.patch seems no longer needed

Revision 1.101  2009/03/25 10:35:56  arekm
- rel 5; raise stack limit for make check

Revision 1.100  2009/03/25 10:30:52  arekm
- release 4

Revision 1.99  2009/02/23 22:13:20  arekm
- release 3

Revision 1.98  2008/11/19 02:34:54  glen
- release 2

Revision 1.97  2008/09/07 09:23:06  twittner
- up to 7.8
- -buffer-overflow.patch applied upstream

Revision 1.96  2008/07/08 15:31:46  glen
- release 4

Revision 1.95  2008/07/05 22:34:42  megabajt
- added -buffer-overflow.patch [fixes CVE-2008-2371]
- release 3

Revision 1.94  2008/06/17 18:05:28  qboosh
- added link patch to kill zlib/bzip2/readline deps in libraries
- release 2

Revision 1.93  2008/05/07 19:41:44  twittner
- up to 7.7
- enable suport for handling .gz and .bz2 files (pcregrep)

Revision 1.92  2008-03-06 17:02:32  glen
- release 2

Revision 1.91  2008-01-29 15:25:03  twittner
- up to 7.6 [fixes CVE-2008-0674]

Revision 1.90  2008-01-10 21:22:21  qboosh
- ghost soname symlinks

Revision 1.89  2008-01-10 20:27:35  twittner
- up to 7.5

Revision 1.88  2007-11-27 16:45:20  qboosh
- CVE references

Revision 1.87  2007-11-01 15:40:47  arekm
- rel 2
- Prefix all pcreposix conflicting functions with pcreposix_ (changes ABI of pcreposix library but makes it conflict free from glibc)

Revision 1.86  2007/09/21 20:02:06  adamg
- updated to 7.4

Revision 1.85  2007/09/05 18:09:52  glen
- rel 2

Revision 1.84  2007/08/28 18:47:22  glen
- cosmetics

Revision 1.83  2007/08/28 18:15:27  twittner
- up to 7.3 (announced as mostly bugfix release)
  [fixes CVE-2007-1659 CVE-2007-1660 CVE-2007-1661 CVE-2007-1662
  CVE-2007-4766 CVE-2007-4767 CVE-2007-4768]

Revision 1.82  2007/06/19 20:07:17  qboosh
- perform make check (+bcond_without tests)

Revision 1.81  2007/06/19 19:07:19  twittner
- rel. 1 (tested a bit)

Revision 1.80  2007/06/19 18:50:00  twittner
- up to 7.2
- rel. 0.1 (builds, not tested)

Revision 1.79  2007/05/01 09:49:43  qboosh
- updated to 7.1

Revision 1.78  2007/04/21 22:04:37  pluto
- release 2 for rebuild with new libstdc++.

Revision 1.77  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.75  2006/12/20 21:54:20  glen
- package ChangeLog

Revision 1.74  2006/12/20 21:44:26  qboosh
- updated to 7.0
  [fixes CVE-2006-7230]

Revision 1.73  2006/12/12 14:56:45  glen
- enable unicode properties; rel 3

Revision 1.72  2006/11/25 13:28:38  arekm
- rel 2

Revision 1.71  2006/08/05 01:50:07  sparky
- CXXLDFLAGS="%{rpmldflags}"

Revision 1.70  2006/07/19 23:09:45  qboosh
- updated to 6.7
  [fixes CVE-2006-7227 CVE-2006-7228]

Revision 1.69  2006/02/07 17:10:40  twittner
- up to 6.6 (two bugs introduced in 6.5 fixed)

Revision 1.68  2006/02/04 19:47:16  twittner
- up to 6.5

Revision 1.67  2005/09/22 20:04:46  qboosh
- use .tar.bz2 source

Revision 1.66  2005/09/12 18:37:11  twittner
- up to 6.4

Revision 1.65  2005/08/25 19:19:18  glen
- 6.3 fixes CAN-2005-2491

Revision 1.64  2005/08/22 12:16:57  adamg
- fixed previous changelog entry

Revision 1.63  2005/08/22 12:11:35  adamg
- updated to 6.3 (fixes CAN-2005-2491)
- -cxx patch seems obsolete; removed

Revision 1.62  2005/08/06 13:19:55  qboosh
- updated to 6.2
  [fixes CVE-2005-4872]

Revision 1.61  2005/06/22 15:07:04  twittner
- up to 6.1 (bugfix release), updated -cxx.patch
- added bcond_without static_libs

Revision 1.60  2005/06/12 14:30:40  qboosh
- updated to 6.0, added cxx patch
- added cxx* subpackages with new libpcrecpp (C++ binding)

Revision 1.59  2005/04/07 20:40:33  paszczus
- added URL: http://www.pcre.org/

Revision 1.58  2005/03/20 09:57:14  mmazur
- rel 3 for th

Revision 1.57  2004/10/12 21:51:06  mmazur
- rel 2 for th

Revision 1.56  2004/09/15 17:28:28  qboosh
- License is BSD now

Revision 1.55  2004/09/13 20:30:38  djurban
- add pkgconfig

Revision 1.54  2004/09/13 20:22:50  areq
- 5.0

Revision 1.53  2004/01/02 17:51:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.52  2003/12/23 09:52:29  jajcus
- s,/lib/,/%{_lib}/,

Revision 1.51  2003/12/11 17:54:55  areq
- 4.5

Revision 1.50  2003/11/01 13:17:44  grzegol
- added --enable-utf
- rel. 3

Revision 1.49  2003/09/11 22:49:46  wolf
- move demo program to examples dir

Revision 1.48  2003/09/11 22:30:05  wolf
- add demo program to %doc (should it be /usr/share/examples?)

Revision 1.47  2003/09/11 08:02:46  qboosh
- cosmetics

Revision 1.46  2003/09/10 21:42:48  wolf
- html documentation

Revision 1.45  2003/09/10 21:28:47  wolf
- license is not gpl

Revision 1.44  2003/08/24 20:17:03  mmazur
- rel2 for ac

Revision 1.43  2003/08/21 18:53:35  areq
- 4.4

Revision 1.42  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/06/19 16:49:53  adamg
- added missing pcretest program (new package)
- release 1.1

Revision 1.40  2003/05/30 17:17:09  areq
- 4.3

Revision 1.39  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.38  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/04/24 10:36:09  trojan
- updated to 4.2

Revision 1.36  2003/04/20 22:32:39  qboosh
- added ltfix patch to remove evil -L from libpcreposix.la
- typos
- release 2

Revision 1.35  2003/03/13 08:24:45  trojan
- updated to 4.1

Revision 1.34  2003/03/03 10:41:08  trojan
- updated to 4.0

Revision 1.33  2003/02/06 21:12:59  qboosh
- BR: libtool

Revision 1.32  2003/02/06 13:07:48  mmazur
- added libtoolize

Revision 1.31  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.30  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.29  2002/10/25 12:24:13  qboosh
- use absolute symlinks between directories; new %doc; release 3

Revision 1.28  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/05/21 23:14:21  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.26  2002/03/24 15:45:51  kloczek
- release 2: libpcre0{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:14:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/10 21:46:22  kloczek
- updated to 3.9 (importand bugfix release).

Revision 1.21  2001/12/22 09:44:09  kloczek
- updated to 3.8 (fixes for handle UTF-8).

Revision 1.20  2001/11/27 07:27:19  kloczek
- switch to bzipped tar ball.

Revision 1.19  2001/11/27 07:23:38  kloczek
- bump release to 2 and merge translations from CNV.

Revision 1.18  2001/11/27 07:17:34  kloczek
- updated to 3.7.

Revision 1.17  2001/10/11 08:52:14  qboosh
- adapterized, remaining pl translations, BR: autoconf,automake

Revision 1.16  2001/08/15 21:05:20  areq
- update to 3.5, STBR

Revision 1.15  2001/07/11 12:16:56  kloczek
- release 3,
- spec adapterized,
- make spec ac 2.50 ready: regenerate ac/am files in %build.

Revision 1.14  2001/03/30 20:24:07  baggins
- release 2
- devel stuff goes to /usr/*

Revision 1.13  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.12  2000/08/23 09:45:52  kloczek
- updated to 3.4,
- removed outdated DESTDIR patch.

Revision 1.11  2000/07/05 01:19:10  kloczek
- updated to 3.2.

Revision 1.10  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.8  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.7  2000/04/14 16:43:29  zagrodzki
- release 3

Revision 1.6  2000/04/14 16:41:44  zagrodzki
- libpcre goes to /lib

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  2000/03/02 22:49:31  wiget
- add post/postun scripts

Revision 1.2  2000/02/10 02:34:37  kloczek
- updated to 3.1,
- separated devel and static subpackages,
- adapterized and mostly rewrited spec.
